Subject: bug#24166: With --eval, errors in string-match-p do not produce backtraces (but errors in string-match do?!)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Aug 2016 13:34:06 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Sat, 6 Aug 2016 06:28:10 -0400
> Cc: Clément Pit--Claudel <[email-masked]>, 
> 	[email-masked]
> 
> On Sat, Aug 6, 2016 at 3:25 AM, Eli Zaretskii <[email-masked]> wrote:
> > I think Andreas's suggestion to do this in call_debugger is more
> > robust, because it does that for _any_ debugger whose value is placed
> > in the 'debugger' variable, not just for debug.el.
> 
> What about all the other variables that debug.el is binding? (I see
> that they both bind inhibit-redisplay to nil)

Sorry, I don't understand how those variables are related to the issue
at hand.  What am I missing?